deployment-mediawiki07: HTTP CRITICAL: HTTP/1.1 500 hphp_invoke
Closed, ResolvedPublic

Description

Puppet on deployment-mediawiki07 was fixed in T190632. However, shinken still complains:

HTTP CRITICAL: HTTP/1.1 500 hphp_invoke - string 'Wikipedia' not found on 'http://en.wikipedia.beta.wmflabs.org:80/wiki/Main_Page?debug=true' - 287 bytes in 0.009 second response time

The hhvm error suggests some file is missing from wmf-config, and indeed it is. It seems deployment-mediawiki07 does not receive code updates like other appservers do. That makes sence, because it's not listed in the dsh groups in hiera.

@Muehlenhoff created this instance; can you tell whether it's intentional that this instance does not get mediawiki updates?

EddieGP created this task.Apr 5 2018, 10:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2018, 10:56 PM

Mentioned in SAL (#wikimedia-releng) [2018-04-06T07:40:05Z] <moritzm> removed mediawiki-deployment07 from deployment-prep (T191578)

Mentioned in SAL (#wikimedia-operations) [2018-04-06T07:40:13Z] <moritzm> removed mediawiki-deployment07 from deployment-prep (T191578)

MoritzMuehlenhoff closed this task as Resolved.Apr 6 2018, 7:42 AM
MoritzMuehlenhoff claimed this task.

This instance wasn't active, it was only created to test/fix the compatibility of the mediawiki app server manifests with Debian stretch. All the basic work is done there, so I've removed the instance. The active app servers in beta will be migrated when we move to stretch in production (which is not too far away).